# Changelog

## 2025-01-19 - 2.1.2 - fix(core)
Improve scope handling in async contexts.

- Modified the handling of scoped stores within `AsyncContext.runScoped` to simplify the API usage.
- Refactored tests to verify the context's behavior and isolation between parent and child stores.

## 2025-01-18 - 2.1.1 - fix(build)
Fix tsbuild script to include missing flag

- Updated the build script in package.json to include --allowimplicitany flag.

## 2025-01-18 - 2.1.0 - feat(ci)
Add GitHub Actions workflows for CI/CD

- Introduce GitHub Actions workflows to handle CI/CD processes for different events and branch types.
- Remove GitLab CI configuration in favor of GitHub Actions.
- Ensure security audits and tests are run as part of the CI pipeline.

## 2024-05-29 to 2024-03-30 - 2.0.0 - Configuration Updates
Improvements and updates to configuration files.

- Updated project description
- Modified TypeScript configuration
- Updated npmextra.json for githost details

## 2023-07-11 to 2023-07-10 - 2.0.0 - Organizational Change
Transitioned to a new organizational scheme for improved project structure.

- Implemented new organizational scheme

## 2023-01-12 - 1.0.29 - Breaking Change
Important breaking changes introduced, switched project to ECMAScript Module (ESM) format.

- Switched to ECMAScript Module (ESM)
- Core functionality updated

## 2021-09-17 to 2020-07-20 - 1.0.28 to 1.0.23 - Core Fixes
Multiple core improvements and bug fixes across several versions.

- Core functionality updates across versions

## 2018-03-09 to 2018-03-05 - 1.0.21 to 1.0.20 - Documentation Updates
Enhancements and updates to project documentation.

- License information updated in README
- General README updates

## 2018-03-05 - 1.0.19 - Standards Update
Updated project to comply with the latest coding standards.

- Applied latest standard updates

## 2018-03-03 - 1.0.18 - Initial Working Version
Initial release with all dependencies configured.

- First working project version with dependencies

## 2017-10-16 - 1.0.2 - Documentation
Initial project documentation added.

- Added initial README file

## 2017-10-16 - 1.0.1 - Initial Release
The initial release of the project.

- Project setup and initial commit